﻿using Dapfor.Wpf.Converters;
using Dapfor.Wpf.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.DataBinding.BindingToMultipleSources
{
    public class Strategy
    {
        public Strategy(string name, double price, long quantity)
        {
            Name = name;
            Price = price;
            Quantity = quantity;
        }
        
        [Field("IdName")]
        public string Name { get; private set; }

        [DoubleConverter(2)]
        public double Price { get; private set; }

        public long Quantity { get; private set; }
    }
}