﻿using System;
using System.Globalization;
using System.Windows.Data;
using Dapfor.Wpf.Controls;

namespace Dapfor.Wpf.Grid.Demo.Examples.Miscellaneous.Trading
{
    class StateCounterConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            Row row = (Row) value;
            if(row != null && row.IsGroup)
            {
                return string.Format("{0} instruments", row.Children.Count);
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }
    }
}
