﻿using System;
using Dapfor.Wpf.Controls;
using Dapfor.Wpf.Data;

namespace Dapfor.Wpf.Grid.Demo.Examples.Performance.FilterPerformance
{
    /// <summary>
    /// The objects of this class will be displayed in the <see cref="GridControl"/>. 
    /// </summary>
    public class DataObject 
    {
        #region Fields

        #endregion

        #region Public properties

        public DataObject(Random r)
        {
            if (r != null)
            {
                Value0 = r.Next() % 30;
                Value1 = r.Next() % 100;
                Value2 = r.Next() % 200;
                Value3 = r.Next() % 400;
                Value4 = r.Next() % 30;
                Value5 = r.Next() % 600;
                Value6 = r.Next() % 30;
                Value7 = r.Next() % 800;
                Value8 = r.Next() % 900;
                Value9 = r.Next() % 1000;
            }
        }

        [Field("Id0")]
        public int Value0 { get; private set; }

        [Field("Id1")]
        public int Value1 { get; private set; }

        [Field("Id2")]
        public int Value2 { get; private set; }

        [Field("Id3")]
        public int Value3 { get; private set; }

        [Field("Id4")]
        public int Value4 { get; private set; }

        [Field("Id5")]
        public int Value5 { get; private set; }

        [Field("Id6")]
        public int Value6 { get; private set; }

        [Field("Id7")]
        public int Value7 { get; private set; }

        [Field("Id8")]
        public int Value8 { get; private set; }

        [Field("Id9")]
        public int Value9 { get; private set; }

        #endregion
    }
}
